# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'picatrix/version'

Gem::Specification.new do |spec|
  spec.name          = "picatrix"
  spec.version       = Picatrix::VERSION
  spec.authors       = ["Alex Moore-Niemi"]
  spec.email         = ["moore.niemi@gmail.com"]

  spec.summary       = %q{input: dot file + yml files, output: ruby api}
  spec.description   = %q{See more at https://groups.google.com/forum/#!topic/api-craft/QlRF3lMusm0}
  spec.homepage      = "https://github.com/mooreniemi/picatrix"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "parslet"
  spec.add_dependency "protobuf"
  spec.add_dependency "faker"
  spec.add_dependency "ruby-graphviz"
  spec.add_dependency "thor"
  spec.add_dependency "activesupport"
  spec.add_dependency "sinatra"
  spec.add_dependency "sinatra-contrib"
  spec.add_dependency "require_all"
  spec.add_dependency "grape"
  spec.add_dependency "roar"
  spec.add_dependency "grape-roar"

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "rspec"
end
